Alte MySQL-Extension unter PHP 7 verwenden

PHP 7 kommt ohne die antiquierte MySQL-Extension. Wer noch Software hat, die darauf angewiesen ist (z.B. Revive Adserver), muss die extension manuell kompilieren und installieren. Diese Anleitung beschreibt den Prozess unter Linux ganz gut.

Ein paar Hinweise:

  • Zum Komplilieren benötigt man phpize. Kommt mit dem Paket php-dev.
  • Auf der PECL-Seite ist die Extension derzeit nicht gehostet (kein Download).
  • Ich habe die Quellen von GitHub php/pecl-database-mysql gezogen. Funktionierte prima.
Schreibe einen Kommentar

Deine E-Mail-Adresse wird nicht veröffentlicht.